Florincoin (FLO) Linux compile and build FAQ

  • Welcome to the FLO Linux compile-and-build FAQ

    Latest FLO version:

    Thread goals:

    • Try to answer all questions related to building FLO from source on a Linux machine
    • Post common build issues and solutions to the OP
    • Gather knowledge about building on different system types and architectures

    Long-term goals:

    • Linux qt-client binaries
    • No warnings
    • Mitigate paths to common compile-time errors
    • Produce a fully automated set-up script for full-nodes


    1. The system is Ubuntu 16.04 or higher
    2. The install guide8 is being followed closely
    3. The system has enough memory to compile FLO

    Problem: When running ./autogen.sh, automake throws an error.

    Error message:

    Unescaped left brace in regex is deprecated, passed through in regex;
    marked by <-- HERE in m/\${ <-- HERE ([^ \t=:+{}]+)}/
    at /usr/local/bin/automake line 3936

    Explanation: automake is written in perl and some operating systems come with an older version of perl which can cause problems.

    Solution: Upgrade perl and automake:

    Problem: When running ./autogen.sh, automake throws an error from Makefile.am line 3.

    Error message:

    Makefile.am:3: error: Libtool library used but 'LIBTOOL' is undefined

    Explanation: libtool isn’t linked properly in the global $PATH variable.

    Solution: Re-install libtool or manually add it to $PATH in .bashrc.

    Problem: When running make after ./autogen.sh and ./configure there is an error in chainparams.cpp.

    Error message:

    chainparams.cpp:280:72: error: ambiguous overload for ‘operator=’ (operand types are ‘std::vector<unsigned char>’ and ‘boost::assign_detail::generic_list<int>’)

    Explanation: Some systems have the latest version of C++11 and some don’t. Depending on the system compiling FLO should be done using different syntax for assigning a vector to a generic list.


    Assuming the local directory was git cloned from the FLO git repo (https://github.com/florincoin/florincoin).

    This error can be solved by checking out the C++11 fix branch using this command:

    git checkout fix-new-boost-build-c++11

    Conversely, if the error is:

    chainparams.cpp:216:40 error: converting to `const std::vector<unsigned char>` from initializer list would use explicit constructor

    The solution is to checkout the master branch instead:

    git checkout master

Looks like your connection to Cryptocentral was lost, please wait while we try to reconnect.